Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_ProxyConsumer Class Reference

Base class for all types of ProxyConsumer implementations. More...

`#include <ProxyConsumer.h>`

Inheritance diagram for TAO_Notify_ProxyConsumer:

[legend]
Collaboration diagram for TAO_Notify_ProxyConsumer:

[legend]
List of all members.

## Public Methods
| TAO_Notify_ProxyConsumer (void)
| Constuctor.
| ~TAO_Notify_ProxyConsumer ()
| Destructor.
void | init (TAO_Notify_SupplierAdmin *supplier_admin ACE_ENV_ARG_DECL)
| Init.
void | connect (TAO_Notify_Supplier *supplier ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosEventChannelAdmin::AlreadyConnected )
| Connect.
void | disconnect (ACE_ENV_SINGLE_ARG_DECL)
| Disconnect.
virtual int | shutdown (ACE_ENV_SINGLE_ARG_DECL)
| Shutdown (TAO_Notify_Container_T method).
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL)
| Destroy this object.
virtual TAO_Notify_Peer * | peer (void)
| Access our Peer.
TAO_Notify_Supplier * | supplier (void)
| Access the Supplier.
int | is_connected (void)
| Return 1 if connected.
TAO_Notify_SupplierAdmin * | supplier_admin (void)
| The SA parent.
## Protected Attributes
TAO_Notify_SupplierAdmin * | supplier_admin_
TAO_Notify_Supplier * | supplier_
| The Supplier that we're connect to.

## Detailed Description

Base class for all types of ProxyConsumer implementations.

## Constructor & Destructor Documentation

TAO_Notify_ProxyConsumer::TAO_Notify_ProxyConsumer | ( | void |  | ) |

| Constuctor.

TAO_Notify_ProxyConsumer::~TAO_Notify_ProxyConsumer | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Notify_ProxyConsumer::connect | ( | TAO_Notify_Supplier *supplier | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , CosEventChannelAdmin::AlreadyConnected )

| Connect.

void TAO_Notify_ProxyConsumer::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Destroy this object. Implements TAO_Notify_Proxy.

void TAO_Notify_ProxyConsumer::disconnect | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| Disconnect.

void TAO_Notify_ProxyConsumer::init | ( | TAO_Notify_SupplierAdmin *supplier_admin | ACE_ENV_ARG_DECL | ) |

| Init.

int TAO_Notify_ProxyConsumer::is_connected | ( | void |  | ) |

| Return 1 if connected.

TAO_Notify_Peer * TAO_Notify_ProxyConsumer::peer | ( | void |  | ) | `[virtual]`

| Access our Peer. Implements TAO_Notify_Proxy.

int TAO_Notify_ProxyConsumer::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Shutdown (TAO_Notify_Container_T method). Reimplemented from TAO_Notify_Object.

TAO_Notify_Supplier* TAO_Notify_ProxyConsumer::supplier | ( | void |  | ) |

| Access the Supplier.

TAO_Notify_SupplierAdmin* TAO_Notify_ProxyConsumer::supplier_admin | ( | void |  | ) |

| The SA parent.

## Member Data Documentation

TAO_Notify_Supplier* TAO_Notify_ProxyConsumer::supplier_`[protected]`

| The Supplier that we're connect to.

TAO_Notify_SupplierAdmin* TAO_Notify_ProxyConsumer::supplier_admin_`[protected]`

| = Data Members. The SA parent.

The documentation for this class was generated from the following files:

- ProxyConsumer.h
- ProxyConsumer.cpp